List Streaming Locators – Media API – MediaKind
List Streaming Locators
Get https://app.mk.io/api/v1/projects/:project_name/media/streamingLocators
Listing, Sorting and Filtering Streaming Locators
This endpoint returns the list of streaming locators in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/endTime, properties/startTime, updated, updatedBy
Filtering
The $filter query parameter allows for streaming locators to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/assetName, properties/created, properties/endTime, properties/startTime, updated, updatedBy, updatedByEmail, updatedByName
Examples:
?$top=10 - Returns only the first 10 streaming locators from the list.
?$orderby=name desc - Sorts streaming locators by name in descending order.
?$filter=name eq 'descriptive name' - Returns streaming locators that match the provided name.
?$orderby=created desc - Sorts streaming locators by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns streaming locators created after January 1, 2021.
RBAC Capability Required: ams.streaminglocator.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_name string Required
Query parameters
$orderbystring Optional- Specifies the key by which the result collection should be ordered.
$filterstring Optional- Restricts the set of items returned.
$topstring Optional- Specifies a non-negative integer
nthat limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified valuen.
- Specifies a non-negative integer
$skiptokenstring Optional- Specifies a start offset to support paginated results. Use
@odata.nextLinkin the result object to enumerate the collection - it will be present only if there's more than one page of entities.
- Specifies a start offset to support paginated results. Use
Response
200 A list of storage accounts
@odata.nextLink string Optional
@odata.nextLink URL if the page length and number of items match.
supplemental object ListResponseSupplementalSchema Required
countinteger Required- Number of items returned
kindstring Required- Type of items in the list
operationstring Required- Operation type. Should always say 'list'
paginationobject PaginationInfoSchema Required- Pagination info
subscriptionobject ProjectInfoSchema Optional- Project info
idstring Required- Project ID
namestring Required- Project name
value list of objects StreamingLocatorSchema Required
idstring Optional- Fully qualified resource ID for the resource.
namestring Optional 1-260 characters pattern: ^[^\'<>%&:/?*+]+$- The name of the resource
propertiesobject StreamingLocatorProperties Required- Properties for streaming locator
alternativeMediaIdstring Optional- The alternative media id of the asset used by this streaming locator
assetNamestring Required- The name of the asset used by this streaming locator
contentIdstring Optional 1-260 characters- Optional content ID. Only valid when an external key server is used.
contentKeyslist of objects StreamingLocatorContentKey Optional- The content keys used by this streaming locator
trackslist of objects StreamingLocatorTrackSelection Optional- Not currently supported. The tracks which use this content key
defaultContentKeyPolicyNamestring Optional <=260 characters- The default content key policy name used by this streaming locator.
defaultManifestFileNamestring Optional 1-260 characters pattern: ^[A-Za-z0-9 _.,()-]+$- Manifest filename used with streaming endpoints.
- Properties for streaming locator
Errors
- 400 Bad Request
- 401 Unauthorized
- 403 Forbidden
- 404 Not Found
- 429 Too Many Requests
- 500 Internal Server Error